---- map-gadget ----
---- ! will be part of notAmap until i find the way how make terraformed map as default for restore command

function gadget:GetInfo()
  return {
    name      = "no-restore-CMD",
    desc      = "Remove possibility of using Restore command on notAmap",
    author    = "PepeAmpere",
    date      = "Jan 1, 2013",
    license   = "BY-NC-SA",
    layer     = 0,
    enabled   = true --  loaded by default?
  }
end

local spFindUnitCmdDesc 	= Spring.FindUnitCmdDesc
local spRemoveUnitCmdDesc 	= Spring.RemoveUnitCmdDesc

function gadget:AllowCommand(unitID,unitDefID,teamID,cmdID,cmdParams,cmdOptions,cmdTag,synced)
	local can = UnitDefs[unitDefID].canRestore
	if (can and (cmdID == CMD.RESTORE)) then
		return false
	else
		return true
	end
end

function gadget:UnitCreated(unitID,unitDefID,unitTeam)
	local can = UnitDefs[unitDefID].canRestore
	if (can) then
		local cmdDescID = spFindUnitCmdDesc(unitID,CMD.RESTORE)
		if (cmdDescID) then
			spRemoveUnitCmdDesc(unitID,cmdDescID)
		end
	end
end