----- notAmap MAPTYPE DEFINITION -----
--- in this definition there are listed definitions of mapTypes from MapOptions


mapType = {
	["atol"] = {
		plan = {
			"basicMetalMaker",
		},
		seaMap = true,
		styles = {
			"subtropic",
			"tropic",
		},
	},
	["battlefield"] = {
		plan = {
			"basicMetalMaker",
			"outRingHills",
		},
		seaMap = false,
		styles = {
			"sand",
			"snow_total",
			"temperate_empty",
		},
	},
	["colonisation"] = {
		plan = {
			"basicMetalMaker",
		},
		seaMap = true,
		styles = {
			"snow",
			"subtropic",
			"temperate",
			"tropic",
		},
	},
	["corralsea"] = {
		plan = {
			"basicMetalMaker",
		},
		seaMap = true,
		styles = {
			"tropic",
		},
	},
	["channel"] = {
		plan = {
			"basicMetalMaker",
		},
		seaMap = true,
		styles = {
			"sand",
			"snow",
			"subtropic",
			"temperate",
			"tropic",
		},
	},
	["clanwars"] = {
		plan = {
			"basicMetalMaker",
		},
		seaMap = true,
		styles = {
			"snow",
			"subtropic",
			"temperate",
			"tropic",
		},
	},
	["craterlake"] = {
		plan = {
			"lakeInTheCenter",
			"middleRingHills",
			"centredMetalMaker",
		},
		seaMap = false,
		styles = {
			"sand",
			"subtropic",
		},
	},
	["delta"] = {
		plan = {
			"basicMetalMaker",
		},
		seaMap = true,
		styles = {
			"sand",
			"snow",
			"subtropic",
			"temperate",
			"tropic",
		},
	},
	["desert"] = {
		plan = {
			"mountainsHillsSet",
			"basicMetalMaker",
		},
		seaMap = false,
		styles = {
			"sand",
			"snow_total",
			"stoneland",
			"temperate_empty",
		},
	},
	["forrest"] = {
		plan = {
			"basicMetalMaker",
		},
		seaMap = false,
		styles = {
			"acid",
			"snow",
			"temperate",
		},
	},
	["jungle"] = {
		plan = {
			"basicMetalMaker",
		},
		seaMap = false,
		styles = {
			"bug_planet",
			"sand",
			"stoneland",
			"tropic",
		},
	},
	["lakes"] = {
		plan = {
			"basicMetalMaker",
		},
		seaMap = false,
		styles = {
			"snow",
			"subtropic",
			"temperate",
		},
	},
	["mediterranean"] = {
		plan = {
			"ringier",
			"outRingHills",
			"centerHill",
			"basicMetalMaker",
		},
		seaMap = false,
		styles = {
			"sand",
			"snow",
			"subtropic",
			"temperate",
			"tropic",
		},
	},
	["mountains"] = {
		plan = {
			"mountainsHillsSet2",
			"basicMetalMaker",
		},
		seaMap = false,
		styles = {
			"snow",
			"tropic",
		},
	},
	["moon"] = {
		plan = {
			"basicMetalMaker",
		},
		seaMap = false,
		styles = {
			"moon",
		},
	},
	["oceanpowers"] = {
		plan = {
			"basicMetalMaker",
		},
		seaMap = true,
		styles = {
			"snow",
			"subtropic",
			"temperate",
			"tropic",
		},
	},
	["oldworld"] = {
		plan = {
			"basicMetalMaker",
		},
		seaMap = false,
		styles = {
			"snow",
			"subtropic",
			"temperate",
		},
	},
	["onecontinent"] = {
		plan = {
			"invertedRingier",
			"basicMetalMaker",
		},
		seaMap = false,
		styles = {
			"sand",
			"snow",
			"subtropic",
			"temperate",
			"tropic",
		},
	},
	["oceania"] = {
		plan = {
			"basicMetalMaker",
		},
		seaMap = true,
		styles = {
			"snow_total",
			"tropic",
		},
	},
	["tablemountain"] = {
		plan = {
			"basicMetalMaker",
		},
		seaMap = false,
		styles = {
			"bug_planet",
			"sand",
		},
	},
	["globalwar"] = {
		plan = {
			"basicMetalMaker",
		},
		seaMap = true,
		styles = {
			"snow",
			"subtropic",
			"temperate",
			"tropic",
		},
	},
	["terranova"] = {
		plan = {
			"basicMetalMaker",
		},
		seaMap = true,
		styles = {
			"snow",
			"subtropic",
			"temperate",
			"tropic",
		},
	},	
	["tropicalsea"] = {
		plan = {
			"basicMetalMaker",
		},
		seaMap = true,
		styles = {
			"snow_total",
			"tropic",
		},
	},
	
}